CHINA PHP CODER

CHINA PHP CODER

Who am I?

I am a china php coder.


What I write about


Recent Posts

centos编译安装git

  linux系统处通过yum安装的git版本都在1.7-1.8之间,已经太过陈旧,这里手把手教你如何升级你的git,这里以centos7为例进行安装。

  1. 安装git依赖包
    yum install curl-devel expat-devel gettext-devel openssl-devel zlib-devel gcc perl-ExtUtils-MakeMaker
  1. 删除已有的git
    yum remove git
  1. 下载并安装

  下载git安装包

  wget https://mirrors.edge.kernel.org/pub/software/scm/git/git-2.18.0.tar.gz

  解压git安装包

    tar -zxvf git-2.18.0.tar.gz

    cd git-2.8.3

  配置git安装路径

    ./configure prefix=/usr/local/git/

  编译并且安装

    make && make install

  查看git版本号

    git --version

  git已经安装完毕

  1. 将git指令添加到bash中
    vi /etc/profile

  在最后一行加入

    export PATH=$PATH:/usr/local/git/bin

  让该配置文件立即生效

    source /etc/profile